
<p align="center">
  <picture width="200">
    <source media="(prefers-color-scheme: dark)" width="172" srcset="https://mintlify.s3-us-west-1.amazonaws.com/composio-27/logo/dark.svg">
    <img alt="Text changing depending on mode. Light: 'So light!' Dark: 'So dark!'" width="172" src="https://mintlify.s3-us-west-1.amazonaws.com/composio-27/logo/light.svg"/>
  </picture>
  <h4 align="center">Composio SDK: Equip your agent with high-quality tools and <br/>build your real-world usecase</h4>
  <hr/>
  <p align="center">
    <img alt="Tests" src="https://github.com/SamparkAI/composio_sdk/actions/workflows/common.yml/badge.svg">
  <img alt="PyPI" src="https://img.shields.io/pypi/v/composio_core?label=Latest">
    <img alt="Docs" src="https://img.shields.io/badge/Docs-Live-blue">
    <img alt="Twitter" src="https://img.shields.io/twitter/url?url=https%3A%2F%2Ftwitter.com%2Fcomposiohq&label=Follow us">
    <img alt="Discord" src="https://img.shields.io/discord/1170785031560646836?label=Discord">
    </p>
</p>

<img alt="Illustration" src="./docs/imgs/banner.png" style="border-radius: 5px"/>

Composio provides a platform that seamlessly integrates over 200+ apps with your AI agents, enhancing their utility and interactivity. It supports all the features you'll ever need:

- **Compatibility with Major Agent Frameworks**: Autogen, Langchain, CrewAI, Julep, Lyzr, and OpenAI are all compatible with Composio, giving you a simple experience for your workflows.
- **Full Support for Actions & Triggers**: Composio provides full support for Actions & Triggers, to power your agents with a wide range of functionalities.
- **Authentication Management**: Composio provides comprehensive management of all authentication types, including `OAuth2`, `OAuth1`, `Basic`, `API_KEY`.
- **Extensibility**: Don't find a tool you need? Composio is highly extensible, allowing you to add your own set of custom tools.
- **Secure Environment**: Every user has a secure compute environment, ensuring data protection and privacy.

## Getting started

To get started, select a framework and install the corresponding plugin:

- **Autogen**: `pip install composio_autogen`
- **CrewAI**: `pip install composio_crewai`
- **Claude**: `pip install composio_claude`
- **Griptape**: `pip install composio_griptape`
- **Julep**: `pip install composio_julep`
- **Langchain**: `pip install composio_langchain`
- **Lyzr**: `pip install composio_lyzr`
- **OpenAI**: `pip install composio_openai`

<!-- TODO: Quickstart and point to the relevant documentation/examples -->

## Resources
- Docs: https://docs.composio.dev/
- Discord: https://discord.gg/composio
- Twitter: https://twitter.com/composiohq

## Contributing
Checkout `CONTRIBUTING.md` to get started with contributing to SDK. Feel free to reach out to us on [Discord](https://discord.gg/composio) for any questions or issues. We value your feedback!